1. nextgates's Avatar
    So I went to go download that AIM thinger on the main page of the blog, being very super excited.

    I hopped on to the website on my BB, hit the "download" feature, and it said "Sorry, your device is not compatible with AIM Mobile"

    Huh?
    01-15-08 06:37 PM
  2. orle8050's Avatar
    I get the same thing when I try to download Yahoo Go 3.0 and looking for an answer as well.
    01-15-08 06:38 PM
  3. nextgates's Avatar
    Its sad. I'm going to go cuddle in the corner with my BB.

    But not really. I looked over the page and no where does it say it doesn't support BB Curves, only the "Upgraded version of 8100".

    Weird.
    01-15-08 06:40 PM
  4. sunkast's Avatar
    Sounds like your carrier is blocking the service.
    01-15-08 06:45 PM
  5. macnkat's Avatar
    I get the same thing when I try to download Yahoo Go 3.0 and looking for an answer as well.
    I'm with Verizon and it told me the same... This says it's compatible with the Pearl, but it won't d-load on mine.

    Yahoo! Go Phone List: The Internet, to go.
    01-15-08 07:09 PM
  6. chaz_cb's Avatar
    AT&T doesn't allow AIM or MSN messengers clients. That's why JiveTalk is so popular. But at least I got Yahoo Go 3.0!
    01-15-08 07:21 PM
  7. pmjohnson99's Avatar
    AT&T doesn't allow AIM or MSN messengers clients. That's why JiveTalk is so popular. But at least I got Yahoo Go 3.0!
    Really!?! Any guess as to why?
    01-15-08 07:49 PM
  8. nextgates's Avatar
    AT&T doesn't allow AIM or MSN messengers clients. That's why JiveTalk is so popular. But at least I got Yahoo Go 3.0!
    Just on the curve?

    Cause i'm holding my RAZR V3xx right here, and I have an AIM Chat Icon that came with the device.

    This is upsetting.
    01-24-08 11:37 AM
LINK TO POST COPIED TO CLIPBOARD